The BOOST_PP_TUPLE_SIZE macro expands to the size of the tuple passed to it.

#### Usage

BOOST_PP_TUPLE_SIZE(tuple) (v)

#### Arguments

tuple
  A tuple whose size is to be extracted.

#### Requirements

Header: <boost/preprocessor/tuple/size.hpp>

#### Sample Code

    #include <boost/preprocessor/tuple/size.hpp>

    #define TUPLE (x, y, z)

    BOOST_PP_TUPLE_SIZE(TUPLE) // expands to 3

© Copyright Edward Diener 2011

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)